> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all custom forms

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/forms/

List the custom forms for directory

Reference: https://docs.partnerpage.io/api-reference/directory/forms/get-all-custom-forms

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required)

## Response

### 200

Custom form configuration or empty dictionary

## Errors

### 404 Not Found Error

Directory not found

- `any`

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/forms/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/forms/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```